summaryrefslogtreecommitdiffstats
path: root/graphics/tesseract/tesseract.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/tesseract/tesseract.SlackBuild')
-rw-r--r--graphics/tesseract/tesseract.SlackBuild84
1 files changed, 84 insertions, 0 deletions
diff --git a/graphics/tesseract/tesseract.SlackBuild b/graphics/tesseract/tesseract.SlackBuild
new file mode 100644
index 0000000000..bfc36e41bd
--- /dev/null
+++ b/graphics/tesseract/tesseract.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Pierre Cazenave revision date 10/11/2007
+# Modified by Robby Workman <rworkman@slackbuilds.org> for better
+# consistency with our other scripts
+
+PRGNAM=tesseract
+VERSION=2.01
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Language pack(s) to use
+# We'll install English by default, but you can pass another one (or all)
+# of them on the command line (space delimited). If you pass more than one
+# (again, space delimited), you must enclose the string in quotes. Examples:
+# TESSLANG=fra ./tesseract.SlackBuild
+# TESSLANG="deu eng fra ita nld spa" ./tesseract.SlackBuild
+TESSLANG=${TESSLANG:-eng} # Default to English
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static
+
+make
+
+# Let's extract the desired language tarballs
+for _language in $(echo "$TESSLANG") ; do
+ if [ -r $CWD/tesseract-2.00.$_language.tar.gz ]; then
+ tar xf $CWD/tesseract-2.00.$_language.tar.gz
+ SUCCESS=yes
+ else
+ echo "$CWD/tesseract-2.00.$_language.tar.gz not found."
+ sleep 5
+ fi ;
+done
+if [ ! "$SUCCESS" = "yes" ]; then
+ echo "No language packs were found, so this package will not work as is."
+ echo "See $CWD/README for more information."
+ exit 1
+fi
+
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README ReleaseNotes \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz